Transaction hooks
Update an existing hook
Change the URL, type, or retry settings of a hook.
PUT
/hooksBody
namestring
Name of the hook. Ensure it is as descriptive as possible for easy reference.
urlstring
Endpoint URL where the hook will send requests.
typestring
Type of the hook - PRE_TRANSACTION or POST_TRANSACTION.
activeboolean
Indicates whether the hook is enabled or disabled.
timeoutnumber
Maximum time (in seconds) allowed for the hook to execute.
retry_countnumber
Maximum number of retry attempts if the hook fails.